---
title: pydo.genai.list_datacenter_regions()
description: List Datacenter Regions
product: Reference
url: https://docs.digitalocean.com/reference/pydo/reference/genai/list_datacenter_regions/
last_updated: "2026-10-01"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# pydo.genai.list_datacenter_regions()

Generated on 1 Oct 2026 from `pydo` version [`v0.43.0`](https://github.com/digitalocean/pydo/releases/tag/v0.43.0v0.43.0)

## Usage

```python
client.genai.list_datacenter_regions(serves_inference=None, serves_batch=None)
```

Returns `JSON`Raises `HttpResponseError`

## Description

To list all datacenter regions, send a GET request to [`/v2/gen-ai/regions`](https://docs.digitalocean.com/reference/api/reference/agent-platform-api/index.html.md#genai_list_datacenter_regions).

## Parameters

`serves_inference` boolean optional

Include datacenters that serve inference.

`serves_batch` boolean optional

Include datacenters that are capable of running batch jobs.

## Response Example

## Show Response Example

```json
{
  "regions": [
    {
      "inference_url": "example string",
      "region": "example string",
      "serves_batch": true,
      "serves_inference": true,
      "stream_inference_url": "example string"
    }
  ]
}
```

## More Information

See [`/v2/gen-ai/regions`](https://docs.digitalocean.com/reference/api/reference/agent-platform-api/index.html.md#genai_list_datacenter_regions) in the API reference for additional detail on responses, headers, parameters, and more.